<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (13.0.2) on Mon Apr 13 03:43:20 BRT 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-13">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getCarColor()">getCarColor()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the Color of the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getCarColor()">getCarColor()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the Color of the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getCarIconFile()">getCarIconFile()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the path of Car Icon File</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getCarIconFile()">getCarIconFile()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the path of Car Icon File</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getCarId()">getCarId()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the Car Id</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getCarId()">getCarId()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the Car Id</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getCarName()">getCarName()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the Car Name</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getCarName()">getCarName()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the Car Name</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getCarVerticalSize()">getCarVerticalSize()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the Vertical Size of the Car Icon File
 This information shall be acquired from the Icon File</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getCarVerticalSize()">getCarVerticalSize()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the Vertical Size of the Car Icon File
 This information shall be acquired from the Icon File</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/CarsBase.html#getFleetCars()">getFleetCars()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/CarsBase.html" title="interface in eu.systemsengineer.fjcapeletto.model">CarsBase</a></dt>
<dd>
<div class="block">Returns the collection of cars representing the fleet of cars for the Terminal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarsBaseImpl.html#getFleetCars()">getFleetCars()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarsBaseImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarsBaseImpl</a></dt>
<dd>
<div class="block">Returns the collection of cars representing the fleet of cars for the Terminal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getLastCourse()">getLastCourse()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the last Course for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getLastCourse()">getLastCourse()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the last Course for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getLastLatitude()">getLastLatitude()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the last Latitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getLastLatitude()">getLastLatitude()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the last Latitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getLastLongitude()">getLastLongitude()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the last Longitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getLastLongitude()">getLastLongitude()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the last Longitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getLastSpeed()">getLastSpeed()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the last Speed for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getLastSpeed()">getLastSpeed()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the last Speed for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/CarsBase.html#getMaxCars()">getMaxCars()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/CarsBase.html" title="interface in eu.systemsengineer.fjcapeletto.model">CarsBase</a></dt>
<dd>
<div class="block">Returns the max numbers of cars for the Terminal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarsBaseImpl.html#getMaxCars()">getMaxCars()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarsBaseImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarsBaseImpl</a></dt>
<dd>
<div class="block">Returns the max numbers of cars for the Terminal.</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getParkingLatitude()">getParkingLatitude()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the initial Latitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getParkingLatitude()">getParkingLatitude()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the initial Latitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/Car.html#getParkingLongitude()">getParkingLongitude()</a></span> - Method in interface eu.systemsengineer.fjcapeletto.model.<a href="../eu/systemsengineer/fjcapeletto/model/Car.html" title="interface in eu.systemsengineer.fjcapeletto.model">Car</a></dt>
<dd>
<div class="block">Returns the initial Longitude for the Car</div>
</dd>
<dt><span class="memberNameLink"><a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html#getParkingLongitude()">getParkingLongitude()</a></span> - Method in class eu.systemsengineer.fjcapeletto.model.impl.<a href="../eu/systemsengineer/fjcapeletto/model/impl/CarImpl.html" title="class in eu.systemsengineer.fjcapeletto.model.impl">CarImpl</a></dt>
<dd>
<div class="block">Returns the initial Longitude for the Car</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">E</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
